OpenStack Sahara Puppet Module
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 

76 lines
2.0 KiB

  1. {
  2. "author": "Red Hat and OpenStack Contributors",
  3. "dependencies": [
  4. {
  5. "name": "duritong/sysctl",
  6. "version_requirement": ">=0.0.1 <1.0.0"
  7. },
  8. {
  9. "name": "openstack/keystone",
  10. "version_requirement": ">=17.2.0 <18.0.0"
  11. },
  12. {
  13. "name": "puppetlabs/inifile",
  14. "version_requirement": ">=2.0.0 <3.0.0"
  15. },
  16. {
  17. "name": "puppetlabs/stdlib",
  18. "version_requirement": ">=5.0.0 <7.0.0"
  19. },
  20. {
  21. "name": "openstack/openstacklib",
  22. "version_requirement": ">=17.2.0 <18.0.0"
  23. },
  24. {
  25. "name": "openstack/oslo",
  26. "version_requirement": ">=17.2.0 <18.0.0"
  27. }
  28. ],
  29. "description": "Installs and configures OpenStack Sahara (Data Processing).",
  30. "issues_url": "https://bugs.launchpad.net/puppet-sahara",
  31. "license": "Apache-2.0",
  32. "name": "openstack-sahara",
  33. "operatingsystem_support": [
  34. {
  35. "operatingsystem": "Debian",
  36. "operatingsystemrelease": [
  37. "10"
  38. ]
  39. },
  40. {
  41. "operatingsystem": "Fedora",
  42. "operatingsystemrelease": [
  43. "24"
  44. ]
  45. },
  46. {
  47. "operatingsystem": "RedHat",
  48. "operatingsystemrelease": [
  49. "8"
  50. ]
  51. },
  52. {
  53. "operatingsystem": "CentOS",
  54. "operatingsystemrelease": [
  55. "8"
  56. ]
  57. },
  58. {
  59. "operatingsystem": "Ubuntu",
  60. "operatingsystemrelease": [
  61. "18.04"
  62. ]
  63. }
  64. ],
  65. "project_page": "https://launchpad.net/puppet-sahara",
  66. "requirements": [
  67. {
  68. "name": "puppet",
  69. "version_requirement": ">= 6.0.0 < 7.0.0"
  70. }
  71. ],
  72. "source": "git://github.com/openstack/puppet-sahara.git",
  73. "summary": "Puppet module for OpenStack Sahara",
  74. "version": "17.2.0"
  75. }